MediaOutputTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.ajax4jsf.taglib.html.jsp.MediaOutputTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.jsp
Class MediaOutputTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.taglib.html.jsp.MediaOutputTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class MediaOutputTag

extends org.ajax4jsf.webapp.taglib.UIComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`MediaOutputTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAccesskey(java.lang.String __accesskey)`
`void` | `setAlign(java.lang.String __align)`
`void` | `setArchive(java.lang.String __archive)`
`void` | `setBorder(java.lang.String __border)`
`void` | `setCacheable(java.lang.String __cacheable)`
`void` | `setCharset(java.lang.String __charset)`
`void` | `setClassid(java.lang.String __classid)`
`void` | `setCodebase(java.lang.String __codebase)`
`void` | `setCodetype(java.lang.String __codetype)`
`void` | `setCoords(java.lang.String __coords)`
`void` | `setCreateContent(java.lang.String __createContent)`
`void` | `setDeclare(java.lang.String __declare)`
`void` | `setDir(java.lang.String __dir)`
`void` | `setElement(java.lang.String __element)`
`void` | `setExpires(java.lang.String __expires)`
`void` | `setHreflang(java.lang.String __hreflang)`
`void` | `setHspace(java.lang.String __hspace)`
`void` | `setIsmap(java.lang.String __ismap)`
`void` | `setLang(java.lang.String __lang)`
`void` | `setLastModified(java.lang.String __lastModified)`
`void` | `setMimeType(java.lang.String __mimeType)`
`void` | `setOnblur(java.lang.String __onblur)`
`void` | `setOnclick(java.lang.String __onclick)`
`void` | `setOndblclick(java.lang.String __ondblclick)`
`void` | `setOnfocus(java.lang.String __onfocus)`
`void` | `setOnkeydown(java.lang.String __onkeydown)`
`void` | `setOnkeypress(java.lang.String __onkeypress)`
`void` | `setOnkeyup(java.lang.String __onkeyup)`
`void` | `setOnmousedown(java.lang.String __onmousedown)`
`void` | `setOnmousemove(java.lang.String __onmousemove)`
`void` | `setOnmouseout(java.lang.String __onmouseout)`
`void` | `setOnmouseover(java.lang.String __onmouseover)`
`void` | `setOnmouseup(java.lang.String __onmouseup)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRel(java.lang.String __rel)`
`void` | `setRev(java.lang.String __rev)`
`void` | `setSession(java.lang.String __session)`
`void` | `setShape(java.lang.String __shape)`
`void` | `setStandby(java.lang.String __standby)`
`void` | `setStyle(java.lang.String __style)`
`void` | `setStyleClass(java.lang.String __styleClass)`
`void` | `setTabindex(java.lang.String __tabindex)`
`void` | `setTarget(java.lang.String __target)`
`void` | `setTitle(java.lang.String __title)`
`void` | `setType(java.lang.String __type)`
`void` | `setUriAttribute(java.lang.String __uriAttribute)`
`void` | `setUsemap(java.lang.String __usemap)`
`void` | `setVspace(java.lang.String __vspace)`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaOutputTag

    public MediaOutputTag()

Method Detail

### setDeclare

    public void setDeclare(java.lang.String __declare)

### setDir

    public void setDir(java.lang.String __dir)

### setRev

    public void setRev(java.lang.String __rev)

### setMimeType

    public void setMimeType(java.lang.String __mimeType)

### setStyle

    public void setStyle(java.lang.String __style)

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

### setTabindex

    public void setTabindex(java.lang.String __tabindex)

### setArchive

    public void setArchive(java.lang.String __archive)

### setLang

    public void setLang(java.lang.String __lang)

### setCreateContent

    public void setCreateContent(java.lang.String __createContent)

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

### setElement

    public void setElement(java.lang.String __element)

### setRel

    public void setRel(java.lang.String __rel)

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

### setCacheable

    public void setCacheable(java.lang.String __cacheable)

### setExpires

    public void setExpires(java.lang.String __expires)

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

### setCoords

    public void setCoords(java.lang.String __coords)

### setTitle

    public void setTitle(java.lang.String __title)

### setShape

    public void setShape(java.lang.String __shape)

### setTarget

    public void setTarget(java.lang.String __target)

### setSession

    public void setSession(java.lang.String __session)

### setCharset

    public void setCharset(java.lang.String __charset)

### setCodetype

    public void setCodetype(java.lang.String __codetype)

### setClassid

    public void setClassid(java.lang.String __classid)

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

### setAccesskey

    public void setAccesskey(java.lang.String __accesskey)

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

### setAlign

    public void setAlign(java.lang.String __align)

### setVspace

    public void setVspace(java.lang.String __vspace)

### setLastModified

    public void setLastModified(java.lang.String __lastModified)

### setUsemap

    public void setUsemap(java.lang.String __usemap)

### setStandby

    public void setStandby(java.lang.String __standby)

### setBorder

    public void setBorder(java.lang.String __border)

### setOnblur

    public void setOnblur(java.lang.String __onblur)

### setHreflang

    public void setHreflang(java.lang.String __hreflang)

### setCodebase

    public void setCodebase(java.lang.String __codebase)

### setType

    public void setType(java.lang.String __type)

### setUriAttribute

    public void setUriAttribute(java.lang.String __uriAttribute)

### setOnclick

    public void setOnclick(java.lang.String __onclick)

### setIsmap

    public void setIsmap(java.lang.String __ismap)

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

### setHspace

    public void setHspace(java.lang.String __hspace)

### setOnfocus

    public void setOnfocus(java.lang.String __onfocus)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.